Page MenuHomePhabricator

Enable image rotation on beta for testing purposes
Closed, DeclinedPublic

Description

We should enable image rotation on beta for testing...

Event Timeline

Reedy created this task.Jul 15 2015, 12:56 PM
Reedy raised the priority of this task from to High.
Reedy updated the task description. (Show Details)
Reedy added subscribers: Jianhui67, Revent, Josve05a and 20 others.
Restricted Application added subscribers: Luke081515, Aklapper. · View Herald TranscriptJul 15 2015, 12:56 PM
hashar closed this task as Declined.Jul 20 2015, 7:27 PM
hashar claimed this task.
hashar added a subscriber: hashar.

There is no image rotation API I know of, so I don't see how we could enable it on beta cluster :(

Reedy reopened this task as Open.Jul 20 2015, 8:46 PM

There is no image rotation API I know of, so I don't see how we could enable it on beta cluster :(

https://en.wikipedia.org/w/api.php?action=help&modules=imagerotate

Disabled on enwiki currently...

See T35186, brion is overhauling it for WMF usage in https://gerrit.wikimedia.org/r/#/c/225097/

Bah I should have read the code :D CommonSettings.php has:

// T35186: turn off incomplete feature action=imagerotate
$wgAPIModules['imagerotate'] = 'ApiDisabled';

Disabled because of T35186: Provide a well-performing API to rotate an image.

So I guess it is all about restoring it in a -labs.php file.

hashar removed hashar as the assignee of this task.Jul 21 2015, 8:51 AM
hashar moved this task from To Triage to Backlog on the Beta-Cluster-Infrastructure board.
hashar closed this task as Declined.Nov 3 2015, 9:49 AM
hashar claimed this task.

I am poking a message on T105877 to hint about enabling the image rotation API on beta cluster.

Closing this task since there is apparently no need for the image rotation right now and it is trivial enough to do when it is actually needed by someone.